use config::Config;

pub fn load_config() -> Config {
  let settings = Config::builder()
    // Add in `./Settings.toml`
    .add_source(config::File::with_name("/etc/zealot/config.toml").required(false))
    .add_source(config::File::with_name(&shellexpand::tilde("~/.config/zealot.toml")).required(false))
    .build()
    .unwrap();

  return settings;
}
